//
// MyGoban.h
// ---------
// 
// Classe de reprsentation d'un goban
//
// DSgf : http://sourceforge.net/projects/dsgf
//

//------------------------------------------------------------------------------

#include <nds.h>
#include <nds/arm9/console.h> // module console	pour iprintf (debug)
#include <stdio.h>			  // fonctions standarts d'I/O (idem:debug/console)
#include <string>

using namespace std;

//------------------------------------------------------------------------------

enum Pierre_type
{
	PierreBlanche,PierreNoire,AucunePierre
};

struct Coordonnees_type
{
	u8 x;
	u8 y;
};

struct Goban_type
{
	u8 size;

	Pierre_type intersection[20][20];	// en fait on va utiliser 1..19,1..19
};

//------------------------------------------------------------------------------

void PosePierreGobans(u8 a, u8 b, Pierre_type pierre);

void initialise_goban(Goban_type* goban,string size);
void goban_AW(Goban_type* goban,char* champ);

void pose_pierre(u8 xgoban,u8 ygoban,Pierre_type pierre);	// remplac par PosePierreGobans
//void pose_triangle_rouge(u8 xgoban,u8 ygoban);
//void execute_coup(Goban_type* pgoban,char* SGF);
void convertit_coord(string str,Coordonnees_type &co,int size);

void copie_goban(Goban_type* goban_s,Goban_type* goban_d);

void Restore_Setup(Goban_type* goban);

void verifie_capture(u8 x, u8 y);

void verifie_groupe1(u8 x, u8 y);
void verifie_groupe2(u8 x, u8 y);
void verifie_groupe3(u8 x, u8 y);
void verifie_groupe4(u8 x, u8 y);
