//
// MyLocalization.h
// ----------------
// 
// Basic langage translation (next step: UTF-8 compliance!)
//
// DSgf : http://sourceforge.net/projects/dsgf
//

/* system includes */
#include <nds.h>
#include <string>							// ha... les string en C++... c'est quand mme autre chose qu'en C, hein !

#ifndef MYLOCAL_H
#define MYLOCAL_H

struct Localization
{
	// main menu
	string 	main_menu_edit_file;
	string 	main_menu_create_file;
	string	main_menu_options;
	
	// Edit File
	string 	select_title1;
	string 	select_title2;
	string 	select_title3;	
	string	loading_title;
	string	loading_text;
	
	// create
	string	new_game_title;
	string	handicap_text;
	string	default_game_name;
	string	game_name_text;
	string	white_player_text;
	string	black_player_text;
	string	default_white_player_name;
	string	default_black_player_name;
	
	// save game
	string	save_game_title;
	string	save_game_confirm;
	string	save_game_default_filename;
	
	// ingame
	string	first_node_name;
	string	move_number_text;
	string	captured_stones_text;
	string	back_to_main_menu_confirm_text;
	
	// options
	string	options_title;
	string	langage_texte1;
	string	langage_texte2;
	string	switch_on_text;
	string	switch_off_text;
	
};

void SetFrench();
void SetEnglish();

#endif /* MYLOCAL_H */
