//
// MySwitch.h
// ----------
// 
// Une toute petite classe pour grer les switch texte (type option ON/OFF)

//
// DSgf : http://sourceforge.net/projects/dsgf
//

#ifndef MYSWITCH_H
#define MYSWITCH_H

/* system includes */
#include <nds.h>
#include <string>

using namespace std ;

/* my includes */
//#include "main.h"
#include "MyBitmap.h"

//---------------------------------------

class CMySwitch
{
	public:
		
		// attributs
		
		bool m_etat;	// 0 ou 1!
		
		string m_valeur0;
		string m_valeur1;
		
		MyRect	m_rect;
		
		CMyBitmap*	m_pbmp;
		
		// fonctions
		
		void 	doSwitch();	// rect contient le rectangle MAJ
		MyRect	getRect();
		string 	getResult();
		
		bool IsHit(u16 sx,u16 sy);
		
		// Cration, destruction, ainsi va la vie d'une instance...
		CMySwitch(CMyBitmap* pbmp,string v0,string v1,bool etat,u16 x, u16 y); // rect contient le rectangle MAJ
		~CMySwitch();
};

//---------------------------------------

#endif /* MYSWITCH_H */

//---------------------------------------
