//
// MyChoiceList.h
// --------------
// 
// Liste de choix avec barre de dfilement...
//
// DSgf : http://sourceforge.net/projects/dsgf
//

/* system includes */
#include <nds.h>
#include <string>
#include <vector>

using namespace std ;					// vite d'avoir  mettre std::string  chaque fois...

/* my includes */
#include "MyBitmap.h"

#ifndef MYCHOICELIST_H
#define MYCHOICELIST_H

// CMySprite

class CMyChoiceList
{
public:
		vector<string>	items;
		
		MyRect	my_rect;
		u8 my_nb;
		u8 my_marge;
		s8 my_selection;
		s8 my_scroll_index;
		
		bool show_indicator;
		
		CMyBitmap*	my_pbmp;
		
		void initial_draw(MyRect rect);
		void update();
		
		// constructeurs/destructeurs
		CMyChoiceList(vector<string> liste,CMyBitmap* pbmp,u8 nb,u8 marge=4);
		~CMyChoiceList();
};

#endif /* MYCHOICELIST_H */
