//
// MyKeyboard.h
// ------------
// 
// Notre clavier  nous !

// It's clearly pictochat-like... thanks to Nintendo for the original design ! ^ ^

//
// DSgf : http://sourceforge.net/projects/dsgf
//

#ifndef MYKEYBOARD_H
#define MYKEYBOARD_H

/* system includes */
#include <nds.h>
#include <string>

using namespace std ;

/* my includes */
#include "MyBitmap.h"

//---------------------------------------

struct Touche
{
		u32	m_idglyph;			// code ascii ou unicode de la touche
		u32	m_idglyph_shifted;	// code ascii ou unicode de la touche quand SHIFT ou CAPS
};

//---------------------------------------

class CMyKeyboard
{
	public:
		
		// attributs
		
		static const Touche clavier_qwerty[45];	// notre clavier "qwerty"
		static const MyRect coord_qwerty[45];		// les coordonnes des touches
		
		MyRect qwerty_RETURN;
		MyRect qwerty_SHIFT;
		MyRect qwerty_CAPS;
		MyRect qwerty_DELETE;
		MyRect qwerty_SPACE;
		
		// Procdures
		
		void Edit(string titre,string &field);
		
		// Cration, destruction, ainsi va la vie d'une instance...
		CMyKeyboard();
		~CMyKeyboard();
		
};

//---------------------------------------

#endif /* MYKEYBOARD_H */

//---------------------------------------
