//
// MyLocalization.cpp
// ------------------
// 
// Basic langage translation
//
// Basic langage translation (next step: UTF-8 compliance!)
//

#define _UNICODE	// Tell C we're using Unicode, notice the _

/* system includes */
#include <nds.h>
#include <nds/arm9/console.h> // module console	pour iprintf (debug)

using namespace std ;					// vite d'avoir  mettre std::string  chaque fois...

/* my includes */
#include "MyLocalization.h"
#include "MyTools.h"

extern Localization	MyLocalization; // celle de main.cpp

void SetFrench()
{
	// main menu
	MyLocalization.main_menu_edit_file="Editer un fichier SGF";
	MyLocalization.main_menu_create_file="Crer un fichier SGF";
	MyLocalization.main_menu_options="Options et crdits";
	
	// Edit File
	MyLocalization.select_title1="Editer un fichier SGF";
	MyLocalization.select_title2="Slection du SGF";
	MyLocalization.select_title3="Rsum";	
	MyLocalization.loading_title="Lecture du fichier SGF";
	MyLocalization.loading_text="Patientez, s'il vous plait...\n(ne pas teindre la console)";
		
	// create
	MyLocalization.new_game_title="Nouvelle Partie";
	MyLocalization.handicap_text="handicap";
	MyLocalization.game_name_text="Nom de la partie";
	MyLocalization.white_player_text="Nom du joueur blanc";
	MyLocalization.black_player_text="Nom du joueur noir";
	MyLocalization.default_game_name="Partie";
	MyLocalization.default_white_player_name="Noir";
	MyLocalization.default_black_player_name="Blanc";
	
	// save game
	MyLocalization.save_game_title="Enregistrer le fichier SGF";
	MyLocalization.save_game_confirm="Confirmer ?";
	MyLocalization.save_game_default_filename="maPartie";
	
	// ingame
	MyLocalization.first_node_name="dbut de partie";
	MyLocalization.move_number_text="Coup n ";	
	MyLocalization.captured_stones_text="captures";	
	MyLocalization.back_to_main_menu_confirm_text="Retour au menu principal ?";	
	
	// options
	MyLocalization.options_title="Options";
	MyLocalization.langage_texte1="langue";
	MyLocalization.langage_texte2="choisir";
	MyLocalization.switch_on_text="OUI";
	MyLocalization.switch_off_text="NON";	
};

void SetEnglish()
{
	// main menu
	MyLocalization.main_menu_edit_file="Edit an SGF file";
	MyLocalization.main_menu_create_file="Create an SGF file";
	MyLocalization.main_menu_options="Options and credits";
	
	// Edit File
	MyLocalization.select_title1="Edit an SGF file";
	MyLocalization.select_title2="Select an SGF file";
	MyLocalization.select_title3="Summary";	
	MyLocalization.loading_title="Loading SGF file";
	MyLocalization.loading_text="Please wait...\n(don't turn off the DS)";
		
	// create
	MyLocalization.new_game_title="New game";
	MyLocalization.handicap_text="handicap";
	MyLocalization.game_name_text="Name of the game";
	MyLocalization.white_player_text="White player's name";
	MyLocalization.black_player_text="Black player's name";
	MyLocalization.default_game_name="Game";
	MyLocalization.default_white_player_name="Black";
	MyLocalization.default_black_player_name="White";
	
	// save game
	MyLocalization.save_game_title="Save the SGF file";
	MyLocalization.save_game_confirm="Do you confirm ?";
	MyLocalization.save_game_default_filename="myGame";
	
	// ingame
	MyLocalization.first_node_name="";
	MyLocalization.move_number_text="Move n ";	
	MyLocalization.captured_stones_text="captured";	
	MyLocalization.back_to_main_menu_confirm_text="Back to main menu ?";	
	
	// options
	MyLocalization.options_title="Options";
	MyLocalization.langage_texte1="langage";
	MyLocalization.langage_texte2="select";
	MyLocalization.switch_on_text="ON";
	MyLocalization.switch_off_text="OFF";	
};

