//
// MyTools.h
// ---------
// 
// Boite  outils / fourre-tout !
//
// DSgf : http://sourceforge.net/projects/dsgf
//

/* system includes */
#include <nds.h>
#include <sstream>  
#include <fstream>

/* my tools */
#include "main.h"
#include "MyBitmap.h"

#ifndef MYTOOLS_H
#define MYTOOLS_H

void sleep(int nbsecondes);
void sleepCycles(int nbcycles);

int Convert255to32(int value);

void erreurFatale(char* mess);

void SetBrightness(u8 screen, s8 bright);

void ecranBlanc(u8 ecran);
void ecranNoir(u8 ecran);

void fadeFromWhite(u8 ecran,u8 fade_loop_delay=1,u8 fade_limit=31);
void fadeFromBlack(u8 ecran,u8 fade_loop_delay=1,u8 fade_limit=31);

void fadeToWhite(u8 ecran,u8 fade_loop_delay=1,u8 fade_limit=31);

void Initialisation_2D();

void SetPaletteMAIN_BG(const u8* pal_bin);
void SetPaletteSUB_BG(const u8* pal_bin);
void SetPaletteMAIN_Sprite(const u8* pal_bin);
void SetPaletteSUB_Sprite(const u8* pal_bin);

struct MyPoint;

bool IsHit(u8 sx,u8 sy,MyPoint p1,MyPoint p2);
bool IsHit(u8 sx,u8 sy,u8 x, u8 y, u8 width, u8 height);
bool IsHit(u8 sx,u8 sy,MyRect rect);

void WaitForTouch();

void ClearConsole();

std::string gobanx2letter(u8 x);
std::string gobanx2letterWithI(u8 x);

// outils de conversion string c++

std::string to_string( u8 Value );
std::string to_string( u16 Value );
std::string to_string( u32 Value );
std::string to_string( s8 Value );
std::string to_string( s16 Value );
std::string to_string( s32 Value );
//std::string to_string( int Value );	// int==s32
std::string to_string( float Value );

bool from_string( const std::string & Str, u8 & Dest );
bool from_string( const std::string & Str, u16 & Dest );
bool from_string( const std::string & Str, u32 & Dest );
bool from_string( const std::string & Str, s8 & Dest );
bool from_string( const std::string & Str, s16 & Dest );
bool from_string( const std::string & Str, s32 & Dest );
bool from_string( const std::string & Str, float & Dest );

u32 GetFileSize( std::stringstream & Fichier );	// version C++ sur stringstreams
u32 GetFileSize(FILE* fd);	// version C

#endif /* MYTOOLS_H */
